package com.ruoyi.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 mes_alter_record
 * 
 * @author wms
 * @date 2022-10-10
 */
@TableName("mes_alter_record")
public class MesAlterRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @Excel(name = "ID")
    @TableField("id")
    private String id;

    /** 方法名 */
    @Excel(name = "方法名")
    @TableField("method_name")
    private String methodName;

    /** 工单号 */
    @Excel(name = "工单号")
    @TableField("order_id")
    private String orderId;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goods_id")
    private String goodsId;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("number")
    private BigDecimal number;

    /** 任务编号 */
    @Excel(name = "任务编号")
    @TableField("task_no")
    private String taskNo;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 接口信息详情 */
    @Excel(name = "接口信息详情")
    @TableField("api_info")
    private String apiInfo;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setMethodName(String methodName) 
    {
        this.methodName = methodName;
    }

    public String getMethodName() 
    {
        return methodName;
    }
    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setNumber(BigDecimal number) 
    {
        this.number = number;
    }

    public BigDecimal getNumber() 
    {
        return number;
    }
    public void setTaskNo(String taskNo) 
    {
        this.taskNo = taskNo;
    }

    public String getTaskNo() 
    {
        return taskNo;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setApiInfo(String apiInfo) 
    {
        this.apiInfo = apiInfo;
    }

    public String getApiInfo() 
    {
        return apiInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("methodName", getMethodName())
            .append("orderId", getOrderId())
            .append("goodsId", getGoodsId())
            .append("number", getNumber())
            .append("taskNo", getTaskNo())
            .append("status", getStatus())
            .append("apiInfo", getApiInfo())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
